Package org.drinkless.tdlib

# Class TdApi.MessageSenders

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSenders

Enclosing class:
  TdApi

public static class TdApi.MessageSenders extends TdApi.Object
Represents a list of message senders.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender[]`
  `senders`
  List of message senders.
  `int`
  `totalCount`
  Approximate total number of messages senders found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSenders()`
  Represents a list of message senders.
  `MessageSenders(int totalCount, TdApi.MessageSender[] senders)`
  Represents a list of message senders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of messages senders found.

  - ### senders

    public TdApi.MessageSender[] senders
    List of message senders.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSenders

    public MessageSenders()
    Represents a list of message senders.

  - ### MessageSenders

    public MessageSenders(int totalCount, TdApi.MessageSender[] senders)
    Represents a list of message senders.
    Parameters:
      `totalCount` - Approximate total number of messages senders found.
      `senders` - List of message senders.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR